CREATE TABLE IMPORTED_FOLDER ( FOLDER_ID IDENTITY PRIMARY KEY , FOLDER_NAME VARCHAR, LOCAL_PATH VARCHAR,IS_DELETED BOOLEAN,NUM_OF_IMAGES INT);

CREATE TABLE IMPORTED_PHOTO (PHOTO_ID IDENTITY PRIMARY KEY , FILE_NAME VARCHAR, ORIGINAL_PATH VARCHAR, TNAIL_PATH VARCHAR, PREVIEW_PATH VARCHAR, RAW_FILE_PATH VARCHAR, REJECTED BOOLEAN, SELECTED BOOLEAN, RATING_VALUE INT, FLAG_VALUE INT, FOLDER_ID BIGINT,EXIF_DATA_ID INT);

CREATE TABLE TAGS(TAG_ID IDENTITY PRIMARY KEY, TAG_NAME VARCHAR, NUM_OF_IMAGES INT);

CREATE TABLE TAGS_IMAGES(TAGS_IMAGE_ID IDENTITY PRIMARY KEY, TAG_ID INT, PHOTO_ID INT);

CREATE TABLE COLLECTION(COLLECTION_ID IDENTITY PRIMARY KEY, COLLECTION_NAME VARCHAR,NUM_OF_IMAGES INT);

CREATE TABLE COLLECTION_IMAGES(COLLECTION_IMAGES_ID IDENTITY PRIMARY KEY, COLLECTION_ID INT, PHOTO_ID INT);

CREATE TABLE CATALOG(CATALOG_ID IDENTITY PRIMARY KEY, CATALOG_YEAR INT, CATALOG_MONTH INT, CATALOG_DATE INT,NUM_OF_IMAGES INT);

CREATE TABLE CATALOG_IMAGES(CATALOG_IMAGES_ID IDENTITY PRIMARY KEY, CATALOG_ID INT, PHOTO_ID INT);

CREATE TABLE EXIF_DATA(EXIF_DATA_ID IDENTITY PRIMARY KEY, CAMERA_MODEL VARCHAR, APERTURE_VALUE VARCHAR, SHUTTER_SPEED VARCHAR,FOCAL_LENGTH VARCHAR, ISO_VALUE VARCHAR);